Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.tasks
Class TasksModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.tasks.TasksModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddTaskModel, ViewTaskDetailsModel, ViewTasksModel

public class TasksModel
extends AbstractModel
implements java.io.Serializable

This abstract class represents a base class for tasks.

See Also:
  Serialized Form

Constructor Summary
`TasksModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, TasksPreferences tasksPrefs, Accounts accounts)` Constructor.

Method Summary
`TasksPreferences` | `getTasksPreferences()` Gets the tasks preferences.

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TasksModel

    public TasksModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                      FeatureGroup featureGroup,
                      GroupwarePreferences groupwarePrefs,
                      TasksPreferences tasksPrefs,
                      Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `tasksPrefs` - the tasks preferences (may not be `null`)

Method Detail

### getTasksPreferences

    public TasksPreferences getTasksPreferences()

  Gets the tasks preferences.

  Returns:
    the tasks preferences

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.